package com.brilliance.isc.automatic.engine.constant;

public class AutomaticConstants {
    // 自动化用户信息
    public static final String AUTO_USR = "AUTO_USR";
    // 自动化入参
    public static final String AUTO_PAR = "AUTO_PAR";
    // 自动化流程信息
    public static final String AUTO_FLOW = "AUTO_FLOW";
    // 自动化流程暂停标识
    public static final String AUTO_PAUSE = "AUTO_PAUSE";
    // 自动化启动节点
    public static final String AUTOMATIC_START_POINT = "direct:auto-start";
    // 自动化通知节点
    public static final String AUTOMATIC_ADVICE_POINT = "direct:automatic-advice";
    // 自动化准入节点
    public static final String AUTOMATIC_ACCESS_POINT = "direct:automatic-access";
    // 自动化数据初始化节点
    public static final String AUTOMATIC_INIT_POINT = "direct:automatic-init";
    // 自动化经办节点
    public static final String AUTOMATIC_HANDLE_POINT = "direct:automatic-handle";
    // 自动化存盘节点
    public static final String AUTOMATIC_SAVE_POINT = "direct:automatic-save";
    // 自动化复核节点
    public static final String AUTOMATIC_RELROW_POINT = "direct:automatic-relrow";

    // 以下 KEY 用于放在header中
    // 当前步骤执行的结果
    public static final String CURRENT_STEP_RESULT = "CURRENT_STEP_RESULT";

    // 以下 KEY 用于放在properties中
    // 当前步骤执行的结果描述
    public static final String CURRENT_STEP_RESULT_DESC = "CURRENT_STEP_RESULT_DESC";
    // 当前执行的步骤
    public static final String CURRENT_STEP_KEY = "CURRENT_STEP_KEY";
    // 通知步骤
    public static final String ADVICE_STEP = "ADVICE_STEP";
    // 准入步骤
    public static final String ACCESS_STEP = "ACCESS_STEP";
    // 初始化步骤
    public static final String INIT_STEP = "INIT_STEP";
    // 经办步骤
    public static final String HANDLE_STEP = "HANDLE_STEP";
    // 复核步骤
    public static final String RELROW_STEP = "RELROW_STEP";

    // 以下 KEY 用于放在properties中 用于记录当前步骤所接受的入参
    //自动化准入VO Key
    public static final String ADVICE_INPUT_KEY = "ADVICE_VO";
    //自动化准入VO Key
    public static final String ACCESS_INPUT_KEY = "ACCESS_VO";
    //自动化数据准备VO Key
    public static final String INIT_INPUT_KEY = "INIT_VO";
    //自动化经办VO Key
    public static final String HANDLE_INPUT_KEY = "HANDLE_VO";
    //自动化复核VO Key
    public static final String RELROW_INPUT_KEY = "RELROW_VO";


    public static final String CURRENT_STEP_EXCEPTION = "CURRENT_STEP_EXCEPTION";
    public static final String CAMEL_EXCEPTION_KEY = "CamelExceptionCaught";


    // 自动化通知结果Key
    public static final String AUTOMATIC_ADVICE_RESULT = "AUTOMATIC_ADVICE_RESULT";
    // 自动化准入结果Key
    public static final String AUTOMATIC_ACCESS_RESULT = "AUTOMATIC_ACCESS_RESULT";
    // 自动化数据初始化结果Key
    public static final String AUTOMATIC_INIT_RESULT = "AUTOMATIC_INIT_RESULT";
    // 自动化经办结果Key
    public static final String AUTOMATIC_HANDLE_RESULT = "AUTOMATIC_HANDLE_RESULT";
    // 自动化存盘结果Key
    public static final String AUTOMATIC_SAVE_RESULT = "AUTOMATIC_SAVE_RESULT";
    // 自动化复核结果Key
    public static final String AUTOMATIC_RELROW_RESULT = "AUTOMATIC_RELROW_RESULT";

    /**
     * 自动化检核不通过key
     */
    public static final String CHECK_ERROR_KEY = "CHECK_ERROR_KEY";

    public static final String CHECK_ERROR_NUM = "CHECKERRORNUM";


}
