package com.brilliance.isc.bo;


import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;


/**
* TABLE:bnl:
*/
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Bnl{

        //唯一ID号 主键
        private String inr = NULLSTR;

        //参与机构行号
        private String fqcyjg = NULLSTR;

        //参与机构类别
        private String jigulb = NULLSTR;

        //行别代码
        private String hanbdm = NULLSTR;

        //所属�'参行号
        private String fqzjjg = NULLSTR;

        //所属法人
        private String frdbmc = NULLSTR;

        //本行上级参与机构
        private String bhsjcy = NULLSTR;

        //承接行行号
        private String cjjghh = NULLSTR;

        //管辖人行行号
        private String gxrhhh = NULLSTR;

        //CCPC代码
        private String jieddm = NULLSTR;

        //发报中心代码
        private String rhdqdm = NULLSTR;

        //参与机构全称
        private String fukrhm = NULLSTR;

        //加入业务系统标识
        private String canssj = NULLSTR;

        //加入二代系统标识
        private String canybz = NULLSTR;

        //当前机构状态
        private String canjcc = NULLSTR;

        //电话、电挂
        private String dihdig = NULLSTR;

        //生效或失效期号
        private  long benqqs ;

        //备用日期
        private String beiyrq = NULLSTR;

        //备用标志1
        private String bybz01 = NULLSTR;

        //备用信息1
        private String xinx01 = NULLSTR;

        //�'护柜员
        private String weihgy = NULLSTR;

        //�'护日期
        private String weihrq = NULLSTR;

        //时�' 戳
        private  long shjnch ;

        //记录状态
        private String jiluzt = NULLSTR;
}