package com.brilliance.isc.bo;

import com.brilliance.mda.runtime.mda.IStream;
import com.brilliance.mda.runtime.mda.impl.StreamImpl;
import com.brilliance.mda.runtime.mda.util.Decimals;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.math.BigDecimal;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;


/**
* TABLE:lim:
 *
*/
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Lim {

        //INR
        private String inr = NULLSTR;

        //TRNINR
        private String trninr = NULLSTR;

        //OBJTYP
        private String objtyp = NULLSTR;

        //OBJINR
        private String objinr = NULLSTR;

        //PTYINR
        private String ptyinr = NULLSTR;

        //前台流�'号
        private String qtls = NULLSTR;

        //客户编号
        private String ptyextkey = NULLSTR;

        //客户名称
        private String ptynam = NULLSTR;

        //柜员号
        private String iniusr = NULLSTR;

        //放款审核经办机构
        private String branch = NULLSTR;

        //业务品种
        private String limtyp = NULLSTR;

        //业务场景
        private String ywcj = NULLSTR;

        //国结交易编码
        private String inifrm = NULLSTR;

        //关联业务编号
        private String pntref = NULLSTR;

        //业务币种
        private String cur = NULLSTR;

        //业务金额
        private  BigDecimal amt  = Decimals.ZERO_SCALE2;

        //币种数字
        private String curnum = NULLSTR;

        //业务编号
        private String ownref = NULLSTR;

        //业务余额
        private  BigDecimal comamt  = Decimals.ZERO_SCALE2;

        //恢复币种
        private String hfcurnum = NULLSTR;

        //恢复业务编号
        private String hfownref = NULLSTR;

        //恢复业务余额
        private  BigDecimal hfcomamt  = Decimals.ZERO_SCALE2;

        //容差值
        private  BigDecimal difamt  = Decimals.ZERO_SCALE5;

        //保证金余额
        private  BigDecimal ccvamt  = Decimals.ZERO_SCALE2;

        //最新保证金余额
        private  BigDecimal nccvamt  = Decimals.ZERO_SCALE2;

        //起始日
        private String credat = NULLSTR;

        //到期日
        private String enddat = NULLSTR;

        //额度类型
        private String limtype = NULLSTR;

        //额度编号
        private String limref = NULLSTR;

        //额度调用状态
        private String sta = NULLSTR;

        //拟占用金额
        private  BigDecimal limamt  = Decimals.ZERO_SCALE2;

        //Version Counter
        private String ver = NULLSTR;

        //风险分类
        private String fxfl = NULLSTR;

        //ORDINR
        private String ordinr = NULLSTR;

        //多条占用明细
        private  String limstm  = NULLSTR;

        //是否转授权业务
        
        private String sfzsqyw = NULLSTR;

        //转授权客户编号
        
        private String mgskhbh = NULLSTR;

        //是否分公司业务
        
        private String sffgsyw = NULLSTR;

        //总公司客户编号
        
        private String zgskhbh = NULLSTR;

        //是否转授权业务
        
        private String othmflg = NULLSTR;

        //转授权客户编号
        
        private String othmgs = NULLSTR;

        //是否分公司业务
        
        private String othfflg = NULLSTR;

        //总公司客户编号
        
        private String othzgs = NULLSTR;

        private String othextkey = NULLSTR;

        /**
         * 起头交易标志
         */
        private String sttflg = NULLSTR;

}