package com.brilliance.isc.bo.lg;

import com.brilliance.isc.bo.model.*;
import com.brilliance.isc.common.transaction.vo.BaseTransactionVo;
import com.brilliance.isc.common.vo.CnybopVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@JsonIgnoreProperties(ignoreUnknown = true)
@Data
public class NetsetStoreBo extends BaseTransactionVo {

    private Nidgrp nidgrp;
    private Ncdgrp ncdgrp;
    private Nidgrp oldnidgrp;
    private Nitp nitp;
    private Lendoc lendoc;
    private Bopgat bopmod;
    private CnybopVo cnybop;
    private String clsflg = NULLSTR;


    @Override
    public void reset() {
        super.reset();
        if (nidgrp == null) {
            nidgrp = new Nidgrp();
        }
        nidgrp.reset();
        if (ncdgrp == null) {
            ncdgrp = new Ncdgrp();
        }
        ncdgrp.reset();
        if (oldnidgrp == null) {
            oldnidgrp = new Nidgrp();
        }
        oldnidgrp.reset();
        if (nitp == null) {
            nitp = new Nitp();
        }
        nitp.reset();
        if (lendoc == null) {
            lendoc = new Lendoc();
        }
        if (bopmod == null) {
            bopmod = new Bopgat();
        }
        if (cnybop == null) {
            cnybop = new CnybopVo();
        }
    }
}
