package com.brilliance.isc.common.invchk.vo;

import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class InvcrlVo extends AbstractCommonVo {
    //批次号
    private String seqnum = NULLSTR;
    //操作状态
    private String sta = NULLSTR;
    //TRN流'
    private String trninr = NULLSTR;
    //操作日期
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date opedat;
    //监控到期时间
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date expdat;
    //业务编号
    private String ownref = NULLSTR;
    //业务所属机构
    private String branchinr = NULLSTR;
    //前手所有批次号
    private String preseqnums = NULLSTR;
    //跳过核验
    private String skipped = NULLSTR;
    //处理类型
    private String invfunc = NULLSTR;
    //User ID
    private String usrextkey = NULLSTR;
    //跳过理由
    private String skpreason = NULLSTR;
    //来源
    private String frmflg = NULLSTR;
    //外数批次号
    private String wsbatchnum = NULLSTR;
}
