package com.brilliance.isc.common.rmbbop.entity;

import java.util.*;
import java.math.BigDecimal;



import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;

import com.brilliance.isc.common.rmbbop.common.IAds;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.*;
import lombok.Getter;
import lombok.Setter;


/**
* TABLE:tcp:
*/

@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Tcp extends AbstractCommonVo implements IAds {

        //Internal Unique ID

        private String inr = NULLSTR;

        //Version
        private String ver = NULLSTR;

        //人行报送状态
        private String sta = NULLSTR;

        //操作类型
        private String opertype = NULLSTR;

        //业务主键
        private String levyno = NULLSTR;

        //变�'/撤销原因
        private String actiondesc = NULLSTR;

        //银行机构代码
        private String bankorgcode = NULLSTR;

        //开户机构代码
        private String openorgcode = NULLSTR;

        //开户人名称
        private String owenername = NULLSTR;

        //人民币�'�号
        private String bicbkacct = NULLSTR;

        //对方机构代码
        private String counterorgcode = NULLSTR;

        //对方机构名称
        private String countername = NULLSTR;

        //划转日期
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date transdate = NULLDATE;

        //划转方向
        private String transdirection = NULLSTR;

        //划转金额
        private  BigDecimal transamt  = Decimals.ZERO_SCALE3;

        //划转用途
        private String amttranspurpose = NULLSTR;

        //银行业务编号
        private String banktrano = NULLSTR;

        //交易附言
        private String addword = NULLSTR;

        //Initial Entity Code
        private String ownextkey = NULLSTR;

        //银行机构名称
        private String sbankname = NULLSTR;


























}