package com.brilliance.isc.vo.collection;

import com.brilliance.isc.common.vo.BizInfoVo;
import com.brilliance.isc.common.vo.PtsptaVo;
import lombok.Data;

import java.math.BigDecimal;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

/**
 * 光票托收业务信息
 */
@Data
public class CcdBizInfoVo extends BizInfoVo {

    private String frepayflg;

    private String rejtypsel;

    //fremsg相关
    private String sndmt;
    private  String msgrol = NULLSTR;
    private  String ccrol = NULLSTR;
    private PtsptaVo othmsg;
    private PtsptaVo othcc;
    private  String reldir = NULLSTR;
    private  String fulmt = NULLSTR;
    private  String relmt = NULLSTR;

    private String ownref;
    private String stacty;

    private String doccur;
    private BigDecimal docamt;
    //默认对手费用收取角色
    private String feecorrol = NULLSTR;
}
