package com.brilliance.isc.vo.component.img;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import io.swagger.annotations.ApiModel;
import lombok.Data;

@Data
@ApiModel(value = "待经办列表影像接口响应对象")
@JsonIgnoreProperties(ignoreUnknown = true)
public class ImgInfoVo {
    // 业务编号
    private String tradeCode;
    private String imgInr;
    private String sdhFlg;
    private String smhInr;
    // 交易码
    private String trnName;
    // 这里添加businessInr是为了接收在待办列表打开影像控件传参trninr,解决在待办列表打开影像控件，无法查看渠道端来源的影像
    private String businessInr;
}
