package com.brilliance.isc.vo.manager;

import com.brilliance.isc.model.BaseEntity;
import lombok.Data;

@Data
public class ECIFManageVo extends BaseEntity {

    /**
     * 客户主键
     */
    private String ptyinr;

    // ECIF信息

    /**
     * 客户号  Org_No
     */
    private String orgno;

    /**
     * 客户类别 Org_Class_Cd
     */
    private String orgclasscd;

    /**
     * 客户名称    Org_Legal_Name  中文名称
     */
    private String orglegalname;

    /**
     * 英文名称
     */
    private String ennam;

    /**
     * 所属国家地区代码  Reg_Country
     */
    private String regcountry;

    /**
     * 所属地区代码  Reg_Area_Code
     */
    private String regareacode;

    /**
     * 客户的ECIF客户号 Ecif_No
     */
    private String ecifno;

    /**
     * 组织机构代码  national_org_code
     */
    private String nationalorgcode;

    /**
     * 组织机构代码有效日期  National_Org_Effect_Dt
     */
    private String nationalorgeffectdt;

    /**
     * 营业执照号  Bus_License_No
     */
    private String buslicenceno;

    /**
     * 外汇许可证号  Foreign_License_No
     */
    private String foreignlicenceno;

    /**
     * 企业外管代码 Enter_External_No
     */
    private String enterexternalno;

    /**
     * 进出口经营权许可证书  Foreign_Tradelicence
     */
    private String foreigntradelicence;

    /**
     * 是否自贸区客户 Freetrade_Cust_Flag
     */
    private String freetradecustflag;

    /**
     * 是否正式客户 Org_Lifecycle_Cd
     */
    private String orglifecyclecd;

    /**
     * 是否为光大股东客户 is_stockholder
     */
    private String isstockholder;

    /**
     * 是否为光大集团关联单位 is_related
     */
    private String isrelated;

    /**
     * 客户状态 Org_State
     */
    private String orgstate;

    /**
     * 是否为NRA账户 Is_NRA
     */
    private String isnra;

    /**
     * SWIFT编号
     */
    private String swiftno;

    /**
     * 统一社会信用代码  Unified_Social_Credit_Code
     */
    private String unifiedsocialcreditcode;

    /**
     * 金融机构类型 Fin_Org_Type
     */
    private String finorgtype;

    /**
     * 客户号
     */
    private String extkey;

    /**
     * 组织机构代码
     */
    private String juscod;

    /**
     * 外汇许可证书
     */
    private String whzno;

    /**
     * 客户名称
     */
    private String kehumc;

    /**
     * 交易柜员
     */
    private String bchusr;

    /**
     * 机构号
     */
    private String accbch;

    /**
     * 国结前台号
     */
    private String qantno;

    /**
     * SWIFT编号
     */
    private String swifno;
}
