package com.brilliance.isc.esb.model.clm;

import java.util.List;

public class ResOCL412 {

    /**
     * 后台流水号[0,40]
     */
    public String EDLSXH;
    /**
     * 客户ECIF号[0,40]
     */
    public String ECIFNO;
    /**
     * 客户名称[0,100]
     */
    public String KEHUMC;
    /**
     * 业务品种[0,40]
     */
    public String YWPZHO;
    /**
     * 业务编号[0,40]
     */
    public String YEWUNO;
    /**
     * 业务币种[0,10]
     */
    public String BIZHON;
    /**
     * 合同保证金比例[0,10]
     */
    public String BZJBLI;
    /**
     * 调整后业务余额[0,24]
     */
    public String THYWYE;
    /**
     * 调整前业务余额[0,24]
     */
    public String TQYWYE;
    /**
     * 调整后保证金比例[0,10]
     */
    public String THBZJB;
    /**
     * 调整前保证金比例[0,10]
     */
    public String TQBZJB;
    /**
     * 调整后拟占用额度[0,24]
     */
    public String THNZED;
    /**
     * 调整前已占用额度[0,24]
     */
    public String TQYZED;
    /**
     * 调整后拟占用敞口[0,24]
     */
    public String THBZCK;
    /**
     * 调整前已占用敞口[0,24]
     */
    public String TQYZCK;
    /**
     * 调整后表外规模上限拟占用值[0,24]
     */
    public String THBWNZ;
    /**
     * 调整前表外规模上限已占用值[0,24]
     */
    public String TQBWYZ;
    /**
     * 需占用额度[0,24]
     */
    public String XUZYED;
    /**
     * 当前可用额度[0,24]
     */
    public String DQKYED;
    /**
     * 需占用敞口[0,24]
     */
    public String XUZYCK;
    /**
     * 当前可用敬口[0,24]
     */
    public String DQKYCK;
    /**
     * 需占用表外规模上限[0,24]
     */
    public String XUZYBW;
    /**
     * 当前表外规模上限可用值[0,24]
     */
    public String DQKYBW;
    /**
     * 可恢复额度[0,24]
     */
    public String KHFEDU;
    /**
     * 可恢复敞口[0,24]
     */
    public String KHFCHK;
    /**
     * 可恢复表外规模上限[0,24]
     */
    public String KHFBIW;

    public List<ItemFCL412> FCL412;

    public List<ItemFCL413> FCL413;

    public List<ItemFCL414> FCL414;

    public static class ItemFCL412 {

        /**
         * 同业客户调整前拟占用额度[0,24]
         */
        public String TYQNZY;
        /**
         * 同业客户调整后拟占用额度[0,24]
         */
        public String TYHNZY;
        /**
         * 同业客户调整前拟占用敞口[0,24]
         */
        public String TYQNZC;
        /**
         * 同业客户调整后拟占用敞口[0,24]
         */
        public String TYHNZC;
        /**
         * 同业客户可恢复额度[0,24]
         */
        public String TYHFED;
        /**
         * 同业客户需占用额度[0,24]
         */
        public String TYZYED;
        /**
         * 同业客户可恢复敞口[0,24]
         */
        public String TYHFCK;
        /**
         * 同业客户需占用敞口[0,24]
         */
        public String TYZYCK;
    }
    public static class ItemFCL413 {
        /**
         * 额度类型[0,10]
         */
        public String EDLEIX;
        /**
         * 额度编号[0,40]
         */
        public String EDBHAO;
        /**
         * 额度明细编号[0,40]
         */
        public String EDMXBH;
        /**
         * 额度品种[0,40]
         */
        public String EDCPDM;
        /**
         * 额度币种[0,10]
         */
        public String BIZHON;
        /**
         * 保证金比例[0,10]
         */
        public String BZJBLI;
        /**
         * 授信额度[0,24]
         */
        public String SHXEDU;
        /**
         * 已用额度[0,24]
         */
        public String YIYEDU;
        /**
         * 可用额度[0,24]
         */
        public String KEYEDU;
        /**
         * 敞口额度[0,24]
         */
        public String CKZOED;
        /**
         * 已用敞口[0,24]
         */
        public String CKYYED;
        /**
         * 可用敞口[0,24]
         */
        public String CKKYED;
        /**
         * 表外规模上限当前值[0,24]
         */
        public String BWSXDQ;
        /**
         * 表外规模上限已用值[0,24]
         */
        public String BWSXYY;
        /**
         * 表外规模上限可用值[0,24]
         */
        public String BWSXKY;
        /**
         * 恢复序号[0,24]
         */
        public String HUIFNO;

    }
    public static class ItemFCL414 {

        /**
         * 同业ECIF客户号[0,40]
         */
        public String TYKHBH;
        /**
         * 司业SWIFT号[0,40]
         */
        public String TYSWIT;
        /**
         * 同业客户名称[0,100]
         */
        public String TYKHMC;
        /**
         * 占用同业额度编号[0,40]
         */
        public String TYEDBH;
        /**
         * 同业明细额度编号[0,40]
         */
        public String TYMXBH;
        /**
         * 同业额度品种[0,10]
         */
        public String TYEDCP;
        /**
         * 同业额度币种[0,10]
         */
        public String TYEDBZ;
        /**
         * 同业授信额度[0,24]
         */
        public String TYSXED;
        /**
         * 同业已用额度[0,24]
         */
        public String TYYYED;
        /**
         * 同业可用额度[0,24]
         */
        public String TYKYED;
        /**
         * 同业敞口额度[0,24]
         */
        public String TYCKED;
        /**
         * 同业已用敞口[0,24]
         */
        public String TYYYCK;
        /**
         * 同业可用敞口[0,24]
         */
        public String TYKVCK;

    }

    public ResOCL412() {
    }

    public ResOCL412(String EDLSXH, String ECIFNO, String KEHUMC, String YWPZHO, String YEWUNO, String BIZHON, String BZJBLI, String THYWYE, String TQYWYE, String THBZJB, String TQBZJB, String THNZED, String TQYZED, String THBZCK, String TQYZCK, String THBWNZ, String TQBWYZ, String XUZYED, String DQKYED, String XUZYCK, String DQKYCK, String XUZYBW, String DQKYBW, String KHFEDU, String KHFCHK, String KHFBIW, List<ItemFCL412> FCL412, List<ItemFCL413> FCL413, List<ItemFCL414> FCL414) {
        this.EDLSXH = EDLSXH;
        this.ECIFNO = ECIFNO;
        this.KEHUMC = KEHUMC;
        this.YWPZHO = YWPZHO;
        this.YEWUNO = YEWUNO;
        this.BIZHON = BIZHON;
        this.BZJBLI = BZJBLI;
        this.THYWYE = THYWYE;
        this.TQYWYE = TQYWYE;
        this.THBZJB = THBZJB;
        this.TQBZJB = TQBZJB;
        this.THNZED = THNZED;
        this.TQYZED = TQYZED;
        this.THBZCK = THBZCK;
        this.TQYZCK = TQYZCK;
        this.THBWNZ = THBWNZ;
        this.TQBWYZ = TQBWYZ;
        this.XUZYED = XUZYED;
        this.DQKYED = DQKYED;
        this.XUZYCK = XUZYCK;
        this.DQKYCK = DQKYCK;
        this.XUZYBW = XUZYBW;
        this.DQKYBW = DQKYBW;
        this.KHFEDU = KHFEDU;
        this.KHFCHK = KHFCHK;
        this.KHFBIW = KHFBIW;
        this.FCL412 = FCL412;
        this.FCL413 = FCL413;
        this.FCL414 = FCL414;
    }
}
