package com.brilliance.isc.esb.model.ecif;

import java.util.ArrayList;
import java.util.List;

public class ResO09582 {

    /**
     * 起始笔数[0,4]
     */
    public String Beg_Rec_No;

    /**
     * 查询笔数[0,4]
     */
    public String Rec_Size;

    /**
     * 总笔数[0,4]
     */
    public String Ttl_Rec_Size;

    /**
     * 提示类检核结果标志[0,1]
     * 提示类检核结果标志（0:不存在错误信息 1：存在错误信息）
     */
    public String CUE_FLAG;
    /**
     * 限制类检核结果标志[0,1]
     * 限制类检核结果标志（0:不存在错误信息 1：存在错误信息）
     */
    public String LIMIT_FLAG;
    /**
     * 是否为白名单客户[0,1]
     * 是否为白名单客户（0：是    1：否）
     */
    public String WHITE_LIST;

    /**
     * 客户号[0,10]
     */
    public String ORG_NO;

    /**
     * 备用字段3[0,80]
     */
    public String ATTRIBUTE3;

    /**
     * 备用字段4[0,80]
     */
    public String ATTRIBUTE4;

    /**
     * 备用字段5[0,200]
     */
    public String ATTRIBUTE5;

    /**
     * 备用字段6[0,200]
     */
    public String ATTRIBUTE6;

    public List<ItemF09582> F09582 = new ArrayList<>();

    public static class ItemF09582{
        /**
         * 字段名称[0,100]
         */
        public String FILED_NAME;
        /**
         * 字段中文名称[0,100]
         */
        public String FILED_CNAME;
        /**
         * 字段值[0,500]
         */
        public String FILED_VALUE;
        /**
         * 检核结果[0,500]
         */
        public String VALID_RESULTS;
        /**
         * 检核标识[0,1]
         */
        public String VALID_FLAG;
        /**
         * 备用字段7[0,80]
         */
        public String ATTRIBUTE7;
        /**
         * 备用字段8[0,80]
         */
        public String ATTRIBUTE8;
        /**
         * 备用字段9[0,200]
         */
        public String ATTRIBUTE9;

        /**
         * 备用字段10[0,200]
         */
        public String ATTRIBUTE10;

    }

    public ResO09582() {
    }

    public ResO09582(String beg_Rec_No, String rec_Size, String ttl_Rec_Size, String CUE_FLAG, String LIMIT_FLAG, String WHITE_LIST, String ORG_NO, String ATTRIBUTE3, String ATTRIBUTE4, String ATTRIBUTE5, String ATTRIBUTE6, List<ItemF09582> f09582) {
        Beg_Rec_No = beg_Rec_No;
        Rec_Size = rec_Size;
        Ttl_Rec_Size = ttl_Rec_Size;
        this.CUE_FLAG = CUE_FLAG;
        this.LIMIT_FLAG = LIMIT_FLAG;
        this.WHITE_LIST = WHITE_LIST;
        this.ORG_NO = ORG_NO;
        this.ATTRIBUTE3 = ATTRIBUTE3;
        this.ATTRIBUTE4 = ATTRIBUTE4;
        this.ATTRIBUTE5 = ATTRIBUTE5;
        this.ATTRIBUTE6 = ATTRIBUTE6;
        F09582 = f09582;
    }
}
