package com.brilliance.isc.esb.model.gmgf;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@NoArgsConstructor
@JsonIgnoreProperties(ignoreUnknown = true)
@Data
public class Ge59Data {
    /**
     * 状态状态
     */
    public String respCode;
    /**
     * 备注
     */
    public String respMemo;
    /**
     * 报关单信息列表（如果返回中存在 errCusList节点，那么返回中customsInfos该节点不存在）
     */
    public List<CustomsInfos> customsInfos;
    /**
     * 报关单异常提示列表
     */
    public List<ErrCusList> errCusList;
}
