package com.brilliance.isc.esb.model.hx;

import com.fasterxml.jackson.annotation.JsonInclude;

@JsonInclude(JsonInclude.Include.NON_NULL)
public class Req8002 {

    /**
     * 销帐序号[0,17]
     */
    public String XIOZXH;
    /**
     * 付款人帐号[0,32]
     */
    public String FUKRZH;
    /**
     * 付款人名称[0,80]
     */
    public String FUKRMC;
    /**
     * 付款行号[0,12]
     */
    public String FUKNHH;
    /**
     * 付款行名[0,62]
     */
    public String FUKNHM;
    /**
     * 货币代号[0,2]
     */
    public String HUOBDH;
    /**
     * 钞汇标志[0,1]
     */
    public String CHUIBZ;
    /**
     * 交易金额[0,13]
     */
    public String JOYIJE;
    /**
     * 凭证种类[0,3]
     */
    public String PNGZZL;
    /**
     * 分行代码[0,2]
     */
    public String FENHDM;
    /**
     * 凭证批号[0,1]
     */
    public String PNGZPH;
    /**
     * 凭证序号[0,8]
     */
    public String PNGZXH;
    /**
     * 收款人账号类型[0,1]
     */
    public String SKZHLX;
    /**
     * 上一待销帐[0,17]
     */
    public String SHYDXZ;
    /**
     * 收款人帐号[0,32]
     */
    public String SHKRZH;
    /**
     * 收款人姓名[0,80]
     */
    public String SHKRXM;
    /**
     * 收款单位名称[0,62]
     */
    public String SKDWMC;
    /**
     * 收款行号[0,12]
     */
    public String SKHHAO;
    /**
     * 收款行名[0,62]
     */
    public String SHKHHM;
    /**
     * 说明[0,128]
     */
    public String SHMING;
    /**
     * 是否标志[0,1]
     */
    public String SHFOBZ;
    /**
     * 签发日期[0,8]
     */
    public String QNFARQ;
    /**
     * 支付密码[0,16]
     */
    public String ZHFUMM;
    /**
     * 凭证日期[0,8]
     */
    public String PNGZRQ;

    public Req8002() {
    }

    public Req8002(String YEWUBH, String XIOZXH, String FUKRZH, String FUKRMC, String FUKNHH, String HUOBDH, String CHUIBZ, String JOYIJE, String PNGZZL, String PNGZPH, String PNGZXH, String SKZHLX, String SHYDXZ, String SHKRZH, String SHKRXM, String SKDWMC, String SKHHAO, String SHKHHM, String SHMING, String QNFARQ, String ZHFUMM, String PNGZRQ) {
        this.XIOZXH = XIOZXH;
        this.FUKRZH = FUKRZH;
        this.FUKRMC = FUKRMC;
        this.FUKNHH = FUKNHH;
        this.HUOBDH = HUOBDH;
        this.CHUIBZ = CHUIBZ;
        this.JOYIJE = JOYIJE;
        this.PNGZZL = PNGZZL;
        this.PNGZPH = PNGZPH;
        this.PNGZXH = PNGZXH;
        this.SKZHLX = SKZHLX;
        this.SHYDXZ = SHYDXZ;
        this.SHKRZH = SHKRZH;
        this.SHKRXM = SHKRXM;
        this.SKDWMC = SKDWMC;
        this.SKHHAO = SKHHAO;
        this.SHKHHM = SHKHHM;
        this.SHMING = SHMING;
        this.QNFARQ = QNFARQ;
        this.ZHFUMM = ZHFUMM;
        this.PNGZRQ = PNGZRQ;
    }
}
