package com.brilliance.isc.esb.model.inner;

import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * 8002组合交易对内响应模型
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class InnerCommpose8002Res {
    /**
     * 第一部分8002报文体
     */
    public InnerRes8002 o80021;
    /**
     * 第一部分8003报文体
     */
    public InnerRes8003 o80031;
    /**
     * 第二部分8002报文体
     */
    public InnerRes8002 o80022;
    /**
     * 第二部分8003报文体
     */
    public InnerRes8003 o80032;

    public InnerCommpose8002Res() {
    }

    public InnerCommpose8002Res(InnerRes8002 o80021, InnerRes8003 o80031, InnerRes8002 o80022, InnerRes8003 o80032) {
        this.o80021 = o80021;
        this.o80031 = o80031;
        this.o80022 = o80022;
        this.o80032 = o80032;
    }
}
