package com.brilliance.isc.esb.model.inner;

import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * CL41  国结-额度台账查询交易请求
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class InnerReqCL41 {
    /**
     * 客户ECIF号
     */
    public String extkey;
    /**
     * 客户名称
     */
    public String extname;
    /**
     * 业务品种
     */
    public String limtyp;
    /**
     * 国结交易编码
     */
    public String inifrm;
    /**
     * 业务场景
     */
    public String ywcj;
    /**
     * 业务编号
     */
    public String ownref;
    /**
     * 业务币种
     */
    public String buscur;
    /**
     * 业务余额
     */
    public String busamt;
    /**
     * 保证金余额
     */
    public String guaamt;
    /**
     * 试算类型
     */
    public String caltyp;
    /**
     * 交易柜员
     */
    public String bchusr;
    /**
     * 机构代码
     */
    public String accbch;
    /**
     * 前台流水号
     */
    public String qantno;

    public InnerReqCL41() {
    }

    public InnerReqCL41(String extkey, String extname, String limtyp, String inifrm, String ywcj, String ownref, String buscur, String busamt, String guaamt, String caltyp, String bchusr, String accbch, String qantno) {
        this.extkey = extkey;
        this.extname = extname;
        this.limtyp = limtyp;
        this.inifrm = inifrm;
        this.ywcj = ywcj;
        this.ownref = ownref;
        this.buscur = buscur;
        this.busamt = busamt;
        this.guaamt = guaamt;
        this.caltyp = caltyp;
        this.bchusr = bchusr;
        this.accbch = accbch;
        this.qantno = qantno;
    }
}
