package com.brilliance.isc.bo;


import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;


/**
* TABLE:atp:ATP - Application Transaction Profile 
*/
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Atp{

        //Internal Unique ID of Application Transaction
        private String inr = NULLSTR;

        private String mancod = NULLSTR;
        //Transaction  ID
        private String cod = NULLSTR;

        //Routing Allowed
        private String rouflg = NULLSTR;

        //Business Sector
        private String bus = NULLSTR;

        //Allocate New Contract
        private String concreflg = NULLSTR;

        //Need Passed Data to Execute
        private String dtaflg = NULLSTR;

        //Temporary Settlement Allowed
        private String sepflg = NULLSTR;

        //Job Operation Allowed
        private String jobflg = NULLSTR;

        //Subcontract-creating Transaction
        private String subflg = NULLSTR;

        //Associated Object Type
        private String lnkobj = NULLSTR;

        //Compliance Check Type
        private String ccstyp = NULLSTR;

        //Version Counter
        private String ver = NULLSTR;

        //Business-Transaction-Flag
        private String bustrnflg = NULLSTR;

        //Relevant Amount for Release
        private String relamt = NULLSTR;

        //Method of Release
        private String reltyp = NULLSTR;

        //交易发起端
        private String negflg = NULLSTR;

        //交易处理时�'
        private  int dealtim ;

        //角色交易ID
        private String roleids;
}