package com.brilliance.isc.bo;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;


/**
 * TABLE:dga:
 */
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Dga {

    //接收参与机构
    private String biccod = NULLSTR;

    //银行类别
    private String jigulb = NULLSTR;

    //直接参与行号
    private String fqzjjg = NULLSTR;

    //银行简称
    private String bsfzwm = NULLSTR;

    //银行全称
    private String jigomc = NULLSTR;

    //地址
    private String fkrdzh = NULLSTR;

    //联系电话
    private String dihdig = NULLSTR;

    //联系人
    private String spwenh = NULLSTR;

    //邮编
    private String youzbm = NULLSTR;

    //EMAIL地址
    private String dzyjdz = NULLSTR;

    //生效日期
    private String sxiorq = NULLSTR;

    //省属代码
    private String shesdm = NULLSTR;

    //城市代码
    private String chshdm = NULLSTR;

    //金融机构代码
    private String gxrhhh = NULLSTR;

    //备注
    private String fuynh1 = NULLSTR;

    //更新期号
    private String gngxqh = NULLSTR;

    //更新日期
    private String gngxrq = NULLSTR;

    //更新时间
    private long gngxsj;

    //备用标志1
    private String bybz01 = NULLSTR;

    //备用标志2
    private String bybz02 = NULLSTR;

    //备用标志3
    private String bybz03 = NULLSTR;

    //备用信息1
    private String xinx01 = NULLSTR;

    //备用信息2
    private String xinx02 = NULLSTR;

    //备用信息3
    private String xinx03 = NULLSTR;

    //时间戳
    private long shjnch;

    //记录状态
    private String jiluzt = NULLSTR;

}