package com.brilliance.isc.bo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.util.Date;

/**
 * TABLE:imgsnd:待发送影像记录
 */
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Imgsnd {

    //inr
    private String inr ;
    //img inr
    private String imginr ;
    //福费廷:L,电证:E
    private String dir ;
    //处理状态：S成功/E失败/R重试，最多三次
    private String sta ;
    //用户id
    private String lgnnam ;
    //重试次数
    private int rtycnt ;
    //上传下载
    private String gened ;
    //生成时间
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date credat;
    //smhinr
    private String smhinr ;
    //msgid
    private String msgid ;
}
