package com.brilliance.isc.bo;


import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;


/**
* TABLE:irt:IRT - Interest Rate Definition
*/
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Irt {

        //Internal Unique ID of IRT
        private String inr = NULLSTR;

        //Interest Rate Type Code
        private String cod = NULLSTR;

        //Currency SPACE for NONE
        private String cur = NULLSTR;

        //Alternate Code
        private String altcod = NULLSTR;

        //Sequence in Rate Entering Tool 0: not in
        private  int seq ;

        //Calendar Calculation Method
        private String irtmcc = NULLSTR;

        //Interest Calculation Method
        private String irtmic = NULLSTR;

        //Version Counter
        private String ver = NULLSTR;

        //Entity Group of Interest Rate
        private String etgextkey = NULLSTR;

}