package com.brilliance.isc.bo;

import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;


/**
 * TABLE:rou:ROU - Routing
 */
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Rou extends AbstractCommonVo {

    //Internal Unique ID of ROU Routing
    private String inr = NULLSTR;

    //Priority Detail Level
    private int pri;

    //Work Group (max=6)
    private String usg = NULLSTR;

    //Product Type (max=2)
    private String bussec = NULLSTR;

    //State Code (max=2)
    private String stacod = NULLSTR;

    //Country (max=2)
    private String cty = NULLSTR;

    //Currency  (max=3)
    private String cur = NULLSTR;

    //Entity owning routing entry  (max=8)
    private String etyextkey = NULLSTR;

    //Work Group  (max=6)
    private String grp = NULLSTR;

    //Branch Code  (max=6)
    private String bchcod = NULLSTR;

    //TRNGRP   (max=6)
    private String trngrp = NULLSTR;


}