package com.brilliance.isc.bo;

import com.brilliance.isc.model.BaseEntity;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLDATE;
import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

/**
 * TABLE:txfsellst:备案表业务列表
 */
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Txfsellst extends BaseEntity {
    //Internal Unique ID
    private String inr = NULLSTR;

    //受理银行机构代码
    private String acptinstcd = NULLSTR;

    //付汇业务上链状态
    private String bizstate = NULLSTR;

    //机构名称或个人姓名
    private String pymtbnknm = NULLSTR;

    //纳税人识别号
    private String taxpyidnfno = NULLSTR;

    //付汇业务状态
    private String paymentstate = NULLSTR;

    //备案表编号
    private String rcrdno = NULLSTR;

    //付汇业务编号
    private String bsnsrlno = NULLSTR;

    //操作时间
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date updatetime = NULLDATE;

    //查询流水号
    private String msgid = NULLSTR;

    //每页条数
    private int num1;

    //当前页
    private int pgnum;

    //总页数
    private int talpgnum;

    //总条数
    private int talnum;

}
