package com.brilliance.isc.bo.model;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.util.Date;

/**
 * 公服PDF文件表信息
 */
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class GfPdf {
    /**
     * 主键
     */
    private String inr;
    /**
     * 业务表INR
     */
    private String objinr;
    /**
     * 业务表类型
     */
    private String objtyp;
    /**
     * 状态
     */
    private String sta;
    /**
     * 日期
     */
    private String credat;
    /**
     * 时间
     */
    private Date cretime;
    /**
     * 报关单号
     */
    private String customno;
    /**
     * 平台订单编号
     */
    private String orderno;
    /**
     * 查询标记
     * 0: 未查询
     * 1: 已查询
     */
    private String cxflg;
    /**
     * 业务编号
     */
    private String ownref;
    /**
     * 文件路径
     */
    private String path;
    /**
     * 文件名
     */
    private String filename;
    /**
     * 接口类型
     */
    private String jktyp;
    /**
     * PDF唯一索引
     */
    private String pdfidx;
}
