package com.brilliance.isc.common.rmbbop.entity;

import com.brilliance.mda.runtime.mda.util.Decimals;
import com.brilliance.isc.common.rmbbop.common.IAds;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;


/**
 * TABLE:tem:人民币跨境信贷融资业务信息-银团贷款信息
 */
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Tem extends AbstractCommonVo {

    //Internal Unique ID
    private String inr = NULLSTR;

    //Version
    private String ver = NULLSTR;

    //objtyp
    private String objtyp = NULLSTR;

    //objinr
    private String objinr = NULLSTR;

    //人行报送状态
    private String sta = NULLSTR;

    //明细操作类型
    private String listopertype = NULLSTR;

    //A成员行机构代码
    private String memberorgcode = NULLSTR;

    //A成员行机构名称
    private String memberorgname = NULLSTR;

    //A成员行常驻国家（地区）代码
    private String membercountrycode = NULLSTR;

    //A成员行出资比例
    private BigDecimal memberscale = Decimals.ZERO_SCALE4;

    //数据状态
    private String csta = NULLSTR;

    //明细主键
    private int seqno;

    //确认
    private String acp;


}