package com.brilliance.isc.vo;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class PtaInfosVo {

    private String adrnam1;

    private String adrstr1;

    private String adradr1;

    private String adrstr2;

    private String adrloccty;

    private String adrloczip;

    private String adrloctxt;

    private String ptainr = NULLSTR;

    private String inr = NULLSTR;

    // 机构编码（核心机构号）
    private String bchbranch;

    // 机构名称
    private String bchbchname;

    //INR of Associated Party
    private String ptaptyinr = NULLSTR;

    //External Key Used to Uniquely Identify a Party
    private String ptaptyextkey = NULLSTR;

    //Alternate Technical Key of Associated Address
    private String ptaobjkey = NULLSTR;

    //Externally Visible Name of Address
    private String ptanam1 = NULLSTR;

    //BIC of Address Optional
    private String ptabic = NULLSTR;

    //INR of Associated Address
    private String objinr = NULLSTR;

    //Type of Associated Address
    private String objtyp = NULLSTR;

    //Type of Party
    private String ptytyp = NULLSTR;

    //联行行号
    private String fqcyjg;

    //联行名称
    private String fukrhm;

    //电话、电挂
    private String dihdig = NULLSTR;

    //地址
    private String dizhii = NULLSTR;

    //邮编
    private String youzbm = NULLSTR;
}
