package com.brilliance.isc.vo.manager;

import com.brilliance.isc.bo.Bch;
import com.brilliance.isc.model.BaseEntity;
import lombok.Data;

@Data
public class AdrManageVo extends BaseEntity {

    /**
     * adr展示信息
     */
    private String inr;

    private String ptyinr;

    private String extkey;

    private String nam;

    private String usg;

    private String cnadr;

    private String enadr;

    // 所属机构
    private String branch;

    // 机构名称
    private String bchname;

    // 是否有操作权限
    private Boolean hasOpAuth;

    private String nam1;

    private String nam2;

    private String nam3;

    private String str1;

    private String str2;

    private String adr1;

    private String adr2;

    private String adr3;

    private String adr4;

    /**
     * 地址编号
     */
    private String ptaextkey;

    /**
     * 地址所属机构
     */
    private String ptabranchinr;

    /**
     * 经办机构
     */
    private String ptabchkeyinr;

    /**
     * 客户名称
     */
    private String ptynam;

    /**
     *  客户中文名称
     */
    private String ptyNam1;

    /**
     * 客户地址12345
     */
    private String detailname;

    /**
     * 客户编号
     */
    private String ptyextkey;

    /**
     * 中文邮编号码
     */
    private String loczip;

    /**
     * 国内地区代码
     */
    private String discod;

    /**
     * 邮编号码
     */

    /**
     * 邮编国家
     */
    private String loccty;

    /**
     * 邮编城市
     */
    private String loctxt;

    /**
     * 传真1
     */
    private String fax1;

    /**
     * 传真2
     */
    private String fax2;

    /**
     * E-mail
     */
    private String eml;

    /**
     * 主地址标志
     */
    private String ptausg;

    /**
     * 默认语言
     */
    private String uil;

    /**
     * 电话1
     */
    private String tel1;

    /**
     * 电话2
     */
    private String tel2;

    /**
     * 电报号码
     */
    private String tlx;

    /**
     * 通讯类型
     */
    private String cortyp;

    /**
     * 电证名称
     */
    private String namelc;

    /**
     * 需客户确认
     */
    private String needcustom;

    /**
     * 电证地址
     */
    private String adrelc;

    /**
     * 一般提示信息(提示级别)
     */
    private String inflev;

    /**
     * 一般提示信息(提示内容)
     */
    private String inftxt;

    /**
     * 地址所属机构
     */
    private String branchinr;

    /**
     * swift代码
     */
    private String bic;

    // pta表的inr
    private String ptainr;

    // 邮编号码
    private String pobzip;

    // 邮编地址
    private String pobtxt;

    // 储存四位机构号
    private String bchkeycode;
    private String branchcode;

    // 储存四位机构号
    private Bch bchkeybch;
    private Bch branchbch;

    private String ptytyp;

    private String loc2;
}
