package com.brilliance.isc.vo.manager;

import com.brilliance.isc.model.BaseEntity;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class BopcodVo extends BaseEntity {

    //Internal Unique ID
    private String inr;

    //Version
    private String ver;

    //交易编码
    private String bop;
    private String bopnam;

    // 码值
    private String cod;

    //方向（I/O）
    private String dir;

    //类型T/N/C/O
    private String typ;

    //名称
    private String txt;

    //'态标志
    private String sta;

}
