package com.brilliance.isc.vo.manager;

import com.brilliance.isc.model.BaseEntity;
import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class PtyRatManageVo extends BaseEntity {

    /**
     * 主键
     */
    private String inr;

    private String ptyinr;

    /**
     * 币种
     */
    private String cur;

    /**
     * 生效到期日
     */
    private String valdat;

    /**
     * 买入优惠类型
     */
    private String buytyp;

    /**
     * 买入优惠点数
     */
    private BigDecimal buyrat;

    /**
     * 卖出优惠类型
     */
    private String seltyp;

    /**
     * 卖出优惠点数
     */
    private BigDecimal selrat;

    /**
     * 客户编号
     */
    private String extkey;

    /**
     * 客户名称
     */
    private String nam;

    /**
     * 买入优惠类型描述
     */
    private String buytypdesc;

    /**
     * 卖出优惠类型描述
     */
    private String seltypdesc;
}
