package com.brilliance.isc.esb.model.ebmp;

/**
 * GF33-GFIX系统接入机构信息变更发送国结请求对象
 */
public class ReqGF33 {

    /**
     * 更新时间 [0,14]
     */
    public String UPDTIM;

    /**
     * 文件名 [0,50]
     */
    public String FILENM;

    /**
     * 更新方式 [0,8]
     */
    public String CHNGTP;

    /**
     * 备用字段1 [0,8]
     */
    public String BEYZD1;

    /**
     * 备用字段2 [0,16]
     */
    public String BEYZD2;

    /**
     * 备用字段3 [0,32]
     */
    public String BEYZD3;

    /**
     * 备用字段4 [0,64]
     */
    public String BEYZD4;

    /**
     * 备用字段5 [0,128]
     */
    public String BEYZD5;

    public ReqGF33() {
    }

    public ReqGF33(String UPDTIM, String FILENM, String CHNGTP, String BEYZD1, String BEYZD2, String BEYZD3, String BEYZD4, String BEYZD5) {
        this.UPDTIM = UPDTIM;
        this.FILENM = FILENM;
        this.CHNGTP = CHNGTP;
        this.BEYZD1 = BEYZD1;
        this.BEYZD2 = BEYZD2;
        this.BEYZD3 = BEYZD3;
        this.BEYZD4 = BEYZD4;
        this.BEYZD5 = BEYZD5;
    }
}
