package com.brilliance.isc.esb.model.netbank;

import com.brilliance.isc.esb.model.ErrorData;

import java.util.ArrayList;
import java.util.List;

/**
 * eg03 国结-币种限额列表查询对外响应对象
 */
public class ResEG03 extends ErrorData {

    /**
     * 交易结果[0,7]
     */
    public String JIAYJG;

    /**
     * 错误代码[0,7]
     */
    public String ERRORCODE;

    /**
     * 错误描述[0，200]
     */
    public String ERRORMESSAGE;

    /**
     * 币种限额信息
     */
    public List<ItemFEG032> FEG032 = new ArrayList<>();

    public static class ItemFEG032{

        /**
         * 币种[0,3]
         */
        public String CURRENCY;

        /**
         * 售汇单笔限额[15,2]
         */
        public String DBXE;
    }

    public ResEG03() {
    }

    public ResEG03(String JIAYJG, String ERRORCODE, String ERRORMESSAGE, List<ItemFEG032> FEG032) {
        this.JIAYJG = JIAYJG;
        this.ERRORCODE = ERRORCODE;
        this.ERRORMESSAGE = ERRORMESSAGE;
        this.FEG032 = FEG032;
    }
}
