package com.brilliance.isc.esb.model.whj.res.sinosure;

import lombok.Data;

@Data
public class InvoicesForNi {

    public String invoiceCode;         //发票编号
    public Long invoiceAmount;         //发票金额
    public String invoiceCurrency;         //发票币种
    public String shipmentId;         //出运编号
    public String effectiveDateOfLiability;         //责任生效日期

    public InvoicesForNi() {
    }

    public InvoicesForNi(String invoiceCode, Long invoiceAmount, String invoiceCurrency, String shipmentId, String effectiveDateOfLiability) {
        this.invoiceCode = invoiceCode;
        this.invoiceAmount = invoiceAmount;
        this.invoiceCurrency = invoiceCurrency;
        this.shipmentId = shipmentId;
        this.effectiveDateOfLiability = effectiveDateOfLiability;
    }
}
