package com.brilliance.isc.common.api.trtcre.vo;

import com.brilliance.mda.runtime.mda.CodetableItem;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Set;

@Data
public class TrtcreQueryVo {

    private String transName;

    private String ptainr;

    private String ownref;

    private String fintyp;

    //原始币种
    private String oricur;

    //原始金额
    private BigDecimal oriamt = BigDecimal.ZERO;

    //百分比原始金额
    private BigDecimal pctoriamt = BigDecimal.ZERO;

    private BigDecimal pctfin = BigDecimal.ZERO;

    private BigDecimal extrat = BigDecimal.ZERO;

    //时间牌价文本
    private String rattxt;

    private String txncur;

    private BigDecimal txnamt = BigDecimal.ZERO;

    private String modifyType;

    private String ptyinr;

    //第一还款账号下拉列表
    private Set<String> act1Set = null;

    //利息账号下拉列表
    private Set<String> intactSet = null;

    //外汇贷款专户下拉列表
    private Set<CodetableItem> actSet = null;

    //外管局账户性质
    private String actpro;
}
