package com.brilliance.isc.common.taskdistributor.config;

import org.redisson.codec.JsonJacksonCodec;
import org.redisson.spring.starter.RedissonAutoConfigurationCustomizer;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
public class TaskDistRedisConfig {

    @Bean
    public RedissonAutoConfigurationCustomizer customizer() {
        return config -> config.setCodec(new JsonJacksonCodec());
    }

}
